Bug 1889581 - pacemaker-2.0.5-rc2 is available
Summary: pacemaker-2.0.5-rc2 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pacemaker
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Klaus Wenninger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 04:05 UTC by Upstream Release Monitoring
Modified: 2020-11-27 01:22 UTC (History)
6 users (show)

Fixed In Version: pacemaker-2.0.5-0.7.rc3.fc34 pacemaker-2.0.5-0.7.rc3.fc32 pacemaker-2.0.5-0.7.rc3.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-27 01:11:45 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2020-10-20 04:05:42 UTC
Latest upstream release: 2.0.5-rc1
Current version/release in rawhide: 2.0.4-1.fc33.1
URL: http://clusterlabs.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/2584/

Comment 1 Upstream Release Monitoring 2020-10-20 04:05:46 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 2 Klaus Wenninger 2020-10-20 04:36:11 UTC
hmm ... %{version} isn't used directly but there is some logic that derives the Source URL from %{pcmkversion} using e.g. info from the git-repo.
And there is a 2nd source (nagios) with independent versioning.
Would be interesting what the complaint is actually about.
Did we see that before?

Comment 3 Upstream Release Monitoring 2020-10-28 01:35:30 UTC
Latest upstream release: 2.0.5-rc2
Current version/release in rawhide: 2.0.4-1.fc33.1
URL: http://clusterlabs.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/2584/

Comment 4 Upstream Release Monitoring 2020-10-28 01:35:34 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 5 Klaus Wenninger 2020-11-02 04:29:56 UTC
(In reply to Upstream Release Monitoring from comment #4)
> One or more of the new sources for this package are identical to the old
> sources. It's likely this package does not use the version macro in its
> Source URLs. If possible, please update the specfile to include the version
> macro in the Source URLs

Unfortunately we don't have a log of this. There is some logic that derives the version of the pacemaker-tarball.
And there is a 2nd tarball used for building the nagios-plugins-metadata subpackage that didn't need changing for a significant time.

Comment 6 Fedora Update System 2020-11-02 06:59:58 UTC
FEDORA-2020-b92c5e140c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b92c5e140c

Comment 7 Fedora Update System 2020-11-02 13:49:31 UTC
FEDORA-2020-3ddc2644dd has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3ddc2644dd

Comment 8 Fedora Update System 2020-11-03 02:25:08 UTC
FEDORA-2020-b92c5e140c has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b92c5e140c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b92c5e140c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-11-03 02:26:21 UTC
FEDORA-2020-3ddc2644dd has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3ddc2644dd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3ddc2644dd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-11-18 13:01:34 UTC
FEDORA-2020-2cbe0089e2 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2cbe0089e2

Comment 11 Fedora Update System 2020-11-18 13:10:17 UTC
FEDORA-2020-3d0e38b9e7 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3d0e38b9e7

Comment 12 Fedora Update System 2020-11-19 01:56:04 UTC
FEDORA-2020-2cbe0089e2 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2cbe0089e2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2cbe0089e2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-11-19 02:19:31 UTC
FEDORA-2020-3d0e38b9e7 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3d0e38b9e7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3d0e38b9e7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-11-27 01:11:45 UTC
FEDORA-2020-2cbe0089e2 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-11-27 01:22:23 UTC
FEDORA-2020-3d0e38b9e7 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.